Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class WorkflowContext

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.WorkflowContext

public class WorkflowContext
extends java.lang.Object
implements java.io.Serializable

This class should be used only by the classes that implement the Workflow interface.

See Also:
  Serialized Form

Constructor Summary
`WorkflowContext()` This class should be used only by the classes that implement the Workflow interface.
`WorkflowContext(java.lang.String state)` This class should be used only by the classes that implement the Workflow interface.

Method Summary
`java.lang.String` | `getState()` This method should be used only by the classes that implement the Workflow interface.
`void` | `setState(java.lang.String state)` This method should be used only by the classes that implement the Workflow interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkflowContext

    public WorkflowContext()

  This class should be used only by the classes that implement the Workflow interface. The default constructor is TopLink requirement

### WorkflowContext

    public WorkflowContext(java.lang.String state)

  This class should be used only by the classes that implement the Workflow interface.

Method Detail

### getState

    public java.lang.String getState()

  This method should be used only by the classes that implement the Workflow interface.

### setState

    public void setState(java.lang.String state)

  This method should be used only by the classes that implement the Workflow interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved